/*#######################################################################################
AVR Ansteuerung paralleles Fischertechnik Interface (FTI) 30520

Das Programm schaltet Motor 1 des FTI ein, wenn Schalter E1 oder E2 gedrckt werden.
Auerdem liet es die beiden Analogwerte ein uns gibt sie auf einem LCD Display aus.
Mehr Infos zum Anschluss des LCD in lcd.h

Weitere Erkrungen siehe FTI.h
Copyright (C) 2005 Christian Truckenbrodt

#######################################################################################*/

#include "main.h"


//############################################################################
//Hauptprogramm
int main (void)
//############################################################################
{
	//Initzialisierung des FTI
	FTI_Init();
	LCD_Init();
	LCD_Clear();
	
	
	while (1)
		{
			//FTI_TXRX muss mindestens alle 300ms aufgerufen werden,
			//damit sich das FTI nicht abschaltet
			FTI_TXRX ();
			//Wenn Schalter E(1) gedrckt, dann Motor1 
			//[ M(Motor_Nr,An/Aus,Richtung) ]
			if ((E(1)|E(2))!=0)
			{
				if (E(1) ==1 ) M(1,1,1);
				if (E(2) ==1 ) M(1,1,0);
			}
			else M(1,0,0);
			LCD_Print(0,0,"%7i %7i",EA(0),EA(1));
			
		}
	
	return (0);
}

